<?php
    require_once 'includes/handler.php';
    include "mo_oauth_visualTour.php";

    function oauth_server_sso_config($form, $form_state)
    {
        drupal_add_css( drupal_get_path('module', 'oauth_server_sso'). '/css/bootstrap.min.css' , array('group' => CSS_DEFAULT, 'every_page' => FALSE));
        drupal_add_css( drupal_get_path('module', 'oauth_server_sso'). '/css/style_settings.css' , array('group' => CSS_DEFAULT, 'every_page' => FALSE));

        global $base_url;

        $stat = '';
        $module_path = drupal_get_path('module', 'oauth_server_sso');
        $finalpath = $base_url;
        $stat = variable_get('oauth_server_sso_add_client_status','');

        if($stat == '')
        {
            $form['mo_oauth_server_style'] = array('#markup' => '<div class="mo_oauth_table_layout_1"><div class="mo_oauth_table_layout mo_oauth_container">');


            $form['markup_top_vt_start'] = array(
                '#markup' => '<b><span style="font-size: 17px;">ADD OAUTH CLIENT</span></b><a class="btn btn-large restart_button" id="restart_tour_button">'
                    . 'Restart Tour</a><br><br><hr><br/>'
            );


            $form['oauth_server_sso_client_name'] = array(
	            '#type' => 'textfield',
                '#title' => t('Client Name:'),
                '#id' => 'firstname',
	            '#default_value' => variable_get('oauth_server_sso_client_name', ''),
                '#attributes' => array('style' => 'width:73%','placeholder' => 'Enter your Client Name'),
            );

            $form['oauth_server_sso_redirect_url'] = array(
	            '#type' => 'textfield',
                '#title' => t('Authorized Redirect URL:'),
                '#id' => 'redirecturl',
	            '#default_value' => variable_get('oauth_server_sso_redirect_url', ''),
                '#attributes' => array('style' => 'width:73%','placeholder' => 'Enter your Authorized Redirect URL'),
            );

            $form['next_step_1'] = array(
                '#type' => 'submit',
                '#id' => 'button_config_center',
                '#value' => t('NEXT'),
                '#submit' => array('oauth_server_sso_next_1'),
            );

            Utilities::AddsupportTab($form, $form_state);
        }
        else
        {
            $form['mo_oauth_server_style'] = array('#markup' => '<div class="mo_oauth_table_layout_1"><div class="mo_oauth_table_layout mo_oauth_container">');

            $form['markup_top_vt_start'] = array(
                '#markup' => '<b><span style="font-size: 17px;">ADD OAUTH CLIENT</span></b><a class="btn btn-large restart_button" id="restart_tour_button">'
                    . 'Restart Tour</a><br><br><hr><br/>'
            );

            $form['oauth_server_sso_client_name'] = array(
	            '#type' => 'textfield',
                '#title' => t('Client Name:'),
                '#id' => 'mo_textfield',
                '#disabled' => true,
                '#required' => 'true',
	            '#default_value' => variable_get('oauth_server_sso_client_name', ''),
                '#attributes' => array('style' => 'width:73%;background-color: hsla(0,0%,0%,0.08) !important;','placeholder' => 'Enter your Client Name'),
            );

            $form['oauth_server_sso_redirect_url'] = array(
	            '#type' => 'textfield',
                '#title' => t('Authorized Redirect URL:'),
                '#id' => 'mo_textfield',
                '#required' => 'true',
	            '#default_value' => variable_get('oauth_server_sso_redirect_url', ''),
                '#attributes' => array('style' => 'width:73%','placeholder' => 'Enter your Authorized Redirect URL'),
            );

            $form['mo_add_oauth_server_br'] = array('#markup' => '<div id="clientID">');

            $form['oauth_server_sso_client_id'] = array(
	            '#type' => 'textfield',
                '#title' => t('Client ID:'),
                '#id' => 'mo_textfield',
                '#disabled' => true,
	            '#default_value' => variable_get('oauth_server_sso_client_id', ''),
                '#attributes' => array('style' => 'background-color: hsla(0,0%,0%,0.08) !important;'),

            );

            $form['mo_oauth_secret_vt'] = array('#markup' => '</div><div id="clientSecret">');

            $form['oauth_server_sso_client_secret'] = array(
	            '#type' => 'textfield',
                '#title' => t('Client Secret:'),
                '#id' => 'mo_textfield',
                '#disabled' => 'true',
	            '#default_value' => variable_get('oauth_server_sso_client_secret', ''),
                '#attributes' => array('style' => 'background-color: hsla(0,0%,0%,0.08) !important;'),
            );

            $form['mo_oauth_server_vt_end'] = array('#markup' => '</div><br>');

            $form['oauth_server_sso_delete_client'] = array(
                '#type' => 'submit',
                '#id' => 'button_config_vt',
                '#value' => t('Delete Client'),
                '#submit' => array('oauth_server_sso_delete_client'),
                '#attributes' => array('style' => 'border-radius: 4px;background: #337ab7;color: #ffffff;text-shadow: 0 -1px 1px #337ab7, 1px 0 1px #337ab7, 0 1px 1px #337ab7, -1px 0 1px #337ab7;box-shadow: 0 1px 0 #337ab7;border-color: #337ab7 #337ab7 #337ab7;'),
            );

            $form['next_step_1'] = array(
                '#type' => 'submit',
                '#id' => 'button_config_update_vt',
                '#value' => t('Update'),
                '#submit' => array('oauth_server_sso_next_2'),
                '#attributes' => array('style' => 'border-radius: 4px;background: #337ab7;color: #ffffff;text-shadow: 0 -1px 1px #337ab7, 1px 0 1px #337ab7, 0 1px 1px #337ab7, -1px 0 1px #337ab7;box-shadow: 0 1px 0 #337ab7;border-color: #337ab7 #337ab7 #337ab7;'),
            );

            $form['mo_oauth_server_break'] = array('#markup' => '<br><br>',);

            $form['markup_top_vt_start_url'] = array(
                '#markup' => '<h3>Endpoint Urls</h3><hr>',
            );

            $form['oauth_server_sso_markup1']= array(
                '#markup' => "<p>You can configure below endpoints in your OAuth client.<p>",
            );

            $form['mo_saml_attrs_list_idp'] = array(
                '#markup' => '<div class="table-responsive" style="font-family: sans-serif;font-size: 12px;" id="endpointsUrl">   
                <table class="mo_guide_table mo_guide_table-striped mo_guide_table-bordered" style="border: 1px solid #ddd;max-width: 100%;border-collapse: collapse;">
                    <thead>
                        <tr>                           
                            <tbody style="font-size: 12px;color:gray;">
                                <tr>
                                    <td style="font-weight:bold;padding: 15px;">Authorize Endpoint</td>
                                    <td>						               
						               <span id="issuer_id">' . $finalpath.'/?q=authorize' . '</span>
                                       <img class ="fa fa-fw fa-pull-right fa-lg fa-copy mo_copy" onclick="copyToClipboard(\'#issuer_id\');" src="'. $base_url.'/'.$module_path . '/includes/images/copy-regular.svg">			
						            </td>                                    
                                </tr>
                                <tr>
                                    <td style="font-weight:bold;padding: 15px;">Access Token Endpoint</td>
                                    <td>						               
						               <span id="acs_url">' . $finalpath.'/?q=access_token' . '</span>
						               <img class ="fa fa-fw fa-pull-right fa-lg fa-copy mo_copy" onclick="copyToClipboard(\'#acs_url\');" src="'. $base_url.'/'.$module_path . '/includes/images/copy-regular.svg">       
						            </td>                                    
                                </tr>
                                <tr>
                                    <td style="font-weight:bold;padding: 15px;">Get User Info Endpoint</td>
                                    <td>						               
						               <span id="base_url">' . $finalpath.'/?q=user_info'. '</span>
						               <img class ="fa fa-fw fa-pull-right fa-lg fa-copy mo_copy" onclick="copyToClipboard(\'#base_url\');" src="'. $base_url.'/'.$module_path . '/includes/images/copy-regular.svg">        
						            </td>                                  
                                </tr>
                                <tr>
                                    <td style="font-weight:bold;padding: 15px;">Scope</td>
                                     <td>						               
						               <span id="bacs_url">profile</span>
						               <img class ="fa fa-fw fa-pull-right fa-lg fa-copy mo_copy" onclick="copyToClipboard(\'#bacs_url\');" src="'. $base_url.'/'.$module_path . '/includes/images/copy-regular.svg">       
						            </td>                                                                                                
                            </tbody>                                                 
                        </tr>
                    </thead>
                    </table>
                <script>               
                    function copyToClipboard(element) {
                        jQuery(".selected-text").removeClass("selected-text");
                        var temp = jQuery("<input>");
                        jQuery("body").append(temp);
                        jQuery(element).addClass("selected-text");
                        temp.val(jQuery(element).text().trim()).select();
                        document.execCommand("copy");
                        temp.remove();
                    }
                    jQuery(window).click(function(e) {                    
                    if( e.target.className == undefined || e.target.className.indexOf("mo_copy") == -1)
                        jQuery(".selected-text").removeClass("selected-text");
                    });
                </script>'
            );

            $form['mo_oauth_server_breaks_div'] = array('#markup' => '</div>',);

            Utilities::AddsupportTab($form, $form_state);

        }
        return $form;
    }
    function oauth_server_sso_next_1($form, $form_state)
    {
        $client_name = $form['oauth_server_sso_client_name']['#value'];
        $redirect_url = $form['oauth_server_sso_redirect_url']['#value'];
        if(empty($client_name)||empty($redirect_url)){
            drupal_set_message(t('The <b><u>Client Name</u></b> and <b><u>Authorized Redirect URL</u></b> fields are mandatory.'), 'error');
            return;
        }

        variable_set('oauth_server_sso_client_name',$client_name);
        variable_set('oauth_server_sso_redirect_url',$redirect_url);
        $client_id = handler::generateRandom(30);
        $client_secret = handler::generateRandom(30);

        variable_set('oauth_server_sso_client_id',$client_id);
        variable_set('oauth_server_sso_client_secret',$client_secret);
        variable_set('oauth_server_sso_add_client_status','review');
        drupal_set_message(t('Configurations saved successfully.'));
    }
    function oauth_server_sso_next_2($form, $form_state)
    {
        if($form['oauth_server_sso_client_name']['#value'] != '')
        {
            $client_name = $form['oauth_server_sso_client_name']['#value'];
            variable_set('oauth_server_sso_client_name',$client_name);
        }
        if($form['oauth_server_sso_redirect_url']['#value'] != '')
        {
            $redirect_url = $form['oauth_server_sso_redirect_url']['#value'];
            variable_set('oauth_server_sso_redirect_url',$redirect_url);
        }
        if($form['oauth_server_sso_client_id']['#value'] != '')
        {
            $client_id = $form['oauth_server_sso_client_id']['#value'];
            variable_set('oauth_server_sso_client_id',$client_id);
        }
        if($form['oauth_server_sso_client_secret']['#value'] != '')
        {
            $client_secret = $form['oauth_server_sso_client_secret']['#value'];
            variable_set('oauth_server_sso_client_secret',$client_secret);
        }
        variable_set('oauth_server_sso_status','review');
        drupal_set_message(t('Configurations saved successfully.'));
    }
    function oauth_server_sso_delete_client($form, $form_state)
    {
        variable_del('oauth_server_sso_client_name');
        variable_del('oauth_server_sso_client_id');
        variable_del('oauth_server_sso_client_secret');
        variable_del('oauth_server_sso_redirect_url');
        variable_del('oauth_server_sso_add_client_status');
    }
    /**
     * Send support query.
     */
    function send_support_query(&$form, $form_state)
    {
        $email = $form['oauth_server_sso_email_address']['#value'];
        $phone = $form['oauth_server_sso_phone_number']['#value'];
        $query = $form['oauth_server_sso_support_query']['#value'];
        Utilities::send_query($email, $phone, $query);
    }
?>