<?php
include_once 'includes/miniorange_support.php';

 function oauth_server_sso_support($form, &$form_state)
 {
     drupal_add_css( drupal_get_path('module', 'oauth_server_sso'). '/css/bootstrap.min.css' , array('group' => CSS_DEFAULT, 'every_page' => FALSE));
     drupal_add_css( drupal_get_path('module', 'oauth_server_sso'). '/css/style_settings.css' , array('group' => CSS_DEFAULT, 'every_page' => FALSE));

     $form['mo_oauth_server_style'] = array('#markup' => '<div class="mo_oauth_table_layout_1"><div class="mo_oauth_table_layout mo_oauth_container">');

     $form['markup_top_vt_start'] = array(
         '#markup' => '<h3>Support</h3><hr><br>',
     );

      $form['markup_1'] = array(
        '#markup' => '<div>Need any help? Just send us a query so we can help you.<br /><br /></div>',
      );

      $form['oauth_server_sso_email_address'] = array(
        '#type' => 'textfield',
        '#id' =>'mo_textfield',
        '#title' => t('Email Address'),
        '#attributes' => array('placeholder' => 'Enter your email'),
        '#required' => TRUE
      );

      $form['oauth_server_sso_phone_number'] = array(
        '#type' => 'textfield',
        '#id' =>'mo_textfield',
        '#title' => t('Phone number'),
        '#attributes' => array('placeholder' => 'Enter your phone number'),
      );

      $form['oauth_server_sso_support_query'] = array(
        '#type' => 'textarea',
        '#id' =>'form-textarea',
        '#title' => t('Query'),
        '#resizable' => false,
        '#attributes' => array('style' => 'width:73%','placeholder' => 'Write your query here'),
        '#required' => TRUE,
      );

      $form['oauth_server_sso_support_submit'] = array(
        '#type' => 'submit',
        '#id' => 'button_config_center',
        '#value' => t('Submit Query'),
        '#submit' => array('oauth_server_sso_send_query'),
      );
      Utilities::advertiseClient($form, $form_state);
      return $form;
 }

 /**
  * Send support query.
  */
 function oauth_server_sso_send_query($form, &$form_state) {
    $email = $form['oauth_server_sso_email_address']['#value'];
    $phone = $form['oauth_server_sso_phone_number']['#value'];
    $query = $form['oauth_server_sso_support_query']['#value'];
    $support = new MiniorangeOAuthServerSupport($email, $phone, $query);
    $support_response = $support->sendSupportQuery();
    if($support_response) {
      drupal_set_message(t('Support query successfully sent.'));
    }
    else {
    	drupal_set_message(t('Error sending support query'), 'error');
    }
 }