<?php
    drupal_add_css( drupal_get_path('module', 'oauth_server_sso'). '/css/bootstrap.min.css' , array('group' => CSS_DEFAULT, 'every_page' => FALSE));
    drupal_add_css( drupal_get_path('module', 'oauth_server_sso'). '/css/style_settings.css' , array('group' => CSS_DEFAULT, 'every_page' => FALSE));

    function oauth_server_sso_settings($form, $form_state)
    {
        global $base_url;

        $form['mo_oauth_server_style'] = array('#markup' => '<div class="mo_oauth_table_layout_1"><div class="mo_oauth_table_layout mo_oauth_container">');

        $form['markup_top_vt_start'] = array(
            '#markup' => '<h3>GENERAL SETTINGS&nbsp;&nbsp;<a href="' . $base_url . '/admin/config/people/oauth_server_sso/licensing"> [Premium, Enterprise]</a></h3><hr><br>',
        );

        $form['oauth_server_sso_accesstoken_expiry'] = array(
            '#type' => 'textfield',
            '#title' => t('Access Token Expiry Time:'),
            '#id' => 'mo_textfield',
            '#disabled' =>'true',
            '#default_value' => variable_get('oauth_server_sso_accesstoken_expiry', ''),
            '#attributes' => array('style' => 'background-color: hsla(0,0%,0%,0.08) !important;','placeholder' => 'in seconds'),

        );

        $form['oauth_server_sso_refreshtoken_expiry'] = array(
            '#type' => 'textfield',
            '#title' => t('Refresh Token Expiry Time:'),
            '#id' => 'mo_textfield',
            '#disabled' =>'true',
            '#default_value' => variable_get('oauth_server_sso_refreshtoken_expiry', ''),
            '#attributes' => array('style' => 'background-color: hsla(0,0%,0%,0.08) !important;','placeholder' => 'in seconds'),
        );

        $form['mo_oauth_server_breaks'] = array('#markup' => '<br>',);

        $form['next_step_1'] = array(
            '#type' => 'submit',
            '#id' => 'button_config_center',
            '#value' => t('Save Settings'),
            '#disabled' =>'true',
        );
         $form['mo_oauth_server_level_css'] = array('#markup' => '<br><br><br><br><br><br><br><br><br>',);
        Utilities::AddsupportTab($form, $form_state);
        return $form;
    }

    /**
     * Send support query.
     */
    function send_support_query(&$form, $form_state)
    {
        $email = $form['oauth_server_sso_email_address']['#value'];
        $phone = $form['oauth_server_sso_phone_number']['#value'];
        $query = $form['oauth_server_sso_support_query']['#value'];
        Utilities::send_query($email, $phone, $query);
    }
?>